program fjf219c;

type
  t=array[1..sizeof(text)] of byte;
  p=^t;

var
  s:string(100);
  f:^text;
  g:p;

begin
  new(f);
  rewrite(f^);
  writeln(f^,'failed');
  dispose(f);
  new(g);
  p(f):=g;
  reset(f^);
  readln(f^,s);
  writeln(s)
end.
